Name:       cryptmount
Version:    6.2.0
Release:    %mkrel 2
Summary:    A utility for accessing encrypted filesystems
License:    GPLv3
Group:      System/Kernel and hardware
URL:        https://cryptmount.sourceforge.net/
Source0:    https://sourceforge.net/projects/cryptmount/files/cryptmount/cryptmount-%{version}/cryptmount-%{version}.tar.gz
Patch0:     cryptmount-6.1.0-allow-non-root-build.patch
BuildRequires:  pkgconfig(devmapper)
BuildRequires:  libgcrypt-devel
BuildRequires:  pkgconfig(uuid)
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(libcryptsetup)

%description
cryptmount is a utility for GNU/Linux operating systems which allows an
ordinary user to mount an encrypted filing system without requiring superuser
privileges. It is aimed at recent Linux systems using the 2.6 kernel series.

%prep
%setup -q
%patch -P 0 -p 1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install -k
rm -f %{buildroot}%{_sysconfdir}/cryptmount/cmtab.example
rm -f %{buildroot}%{_sysconfdir}/init.d/cryptmount

%find_lang %{name}

%files -f %{name}.lang
%doc README.md README.sshfs RELNOTES INSTALL.md COPYING ABOUT-NLS AUTHORS
%doc ChangeLog cmtab.example
%dir %{_sysconfdir}/cryptmount
%config(noreplace) %{_sysconfdir}/cryptmount/cmtab
%config(noreplace) %{_sysconfdir}/modules-load.d/cryptmount.conf
%{_sbindir}/cryptmount-setup
%{_bindir}/cryptmount
%{_mandir}/man5/cmtab.5*
%{_mandir}/man8/cryptmount.8*
%{_mandir}/man8/cryptmount-setup.8*
%{_mandir}/fr/man5/cmtab.5*
%{_mandir}/fr/man8/cryptmount.8*



%changelog
* Sat Dec 21 2024 pterjan <pterjan> 6.2.0-2.mga10
+ Revision: 2127182
- Rebuild for patchN deprecation

* Wed Jan 11 2023 guillomovitch <guillomovitch> 6.2.0-1.mga9
+ Revision: 1932365
- new version 6.2.0

* Mon Dec 12 2022 ghibo <ghibo> 6.1.0-2.mga9
+ Revision: 1921015
- Rebuild against newer libcryptsetup

* Sun Oct 09 2022 guillomovitch <guillomovitch> 6.1.0-1.mga9
+ Revision: 1895676
- new version 6.1.0

* Wed Sep 07 2022 guillomovitch <guillomovitch> 6.0-1.mga9
+ Revision: 1885050
- new version 6.0

* Fri Apr 01 2022 umeabot <umeabot> 5.3.3-2.mga9
+ Revision: 1838553
- Mageia 9 Mass Rebuild

* Tue Jan 12 2021 guillomovitch <guillomovitch> 5.3.3-1.mga8
+ Revision: 1671303
- new version 5.3.3
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 18 2020 umeabot <umeabot> 5.3.2-2.mga8
+ Revision: 1538581
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Fri Nov 22 2019 guillomovitch <guillomovitch> 5.3.2-1.mga8
+ Revision: 1462132
- new version 5.3.2

* Sat Jan 19 2019 guillomovitch <guillomovitch> 5.3.1-1.mga7
+ Revision: 1358071
- new version 5.3.1

* Sun Sep 23 2018 umeabot <umeabot> 5.3-2.mga7
+ Revision: 1297334
- Mageia 7 Mass Rebuild

* Sun Mar 18 2018 guillomovitch <guillomovitch> 5.3-1.mga7
+ Revision: 1210243
- new version 5.3

* Wed Mar 14 2018 kekepower <kekepower> 5.2.4-3.mga7
+ Revision: 1209539
- Rebuild for new cryptsetup, second attempt

* Wed Mar 14 2018 kekepower <kekepower> 5.2.4-2.mga7
+ Revision: 1209390
- Rebuild for new cryptsetup

* Sun Jan 21 2018 guillomovitch <guillomovitch> 5.2.4-1.mga7
+ Revision: 1195490
- new version 5.2.4

* Mon Dec 18 2017 guillomovitch <guillomovitch> 5.2.3-1.mga7
+ Revision: 1183164
- new version 5.2.3

* Sun Oct 30 2016 guillomovitch <guillomovitch> 5.2.2-1.mga6
+ Revision: 1064163
- new version 5.2.2

* Sun Aug 07 2016 guillomovitch <guillomovitch> 5.2.1-1.mga6
+ Revision: 1044929
- new 5.2.1 version
  added upstream patch fixing already mounted filesystem error (bug #18953)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Nov 22 2015 guillomovitch <guillomovitch> 5.2-1.mga6
+ Revision: 904937
- new version 5.2

* Sun Oct 11 2015 guillomovitch <guillomovitch> 5.1-3.mga6
+ Revision: 889732
- fix missing LUKS support (bug #16277)

* Thu Sep 10 2015 fwang <fwang> 5.1-2.mga6
+ Revision: 875462
- rebuild for new libgcrypt

* Tue Jun 23 2015 guillomovitch <guillomovitch> 5.1-1.mga6
+ Revision: 840358
- new version 5.1

* Wed Oct 15 2014 umeabot <umeabot> 5.0-4.mga5
+ Revision: 740870
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 5.0-3.mga5
+ Revision: 693700
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 5.0-2.mga5
+ Revision: 678597
- Mageia 5 Mass Rebuild

* Thu May 29 2014 guillomovitch <guillomovitch> 5.0-1.mga5
+ Revision: 627536
- new version 5.0

* Tue Feb 25 2014 guillomovitch <guillomovitch> 4.5.1-1.mga5
+ Revision: 597184
- new version 4.5.1

* Fri Feb 07 2014 guillomovitch <guillomovitch> 4.5-1.mga5
+ Revision: 585399
- new version 4.5

* Mon Nov 11 2013 guillomovitch <guillomovitch> 4.4.1-1.mga4
+ Revision: 550486
- new version

* Sat Oct 19 2013 umeabot <umeabot> 4.4-2.mga4
+ Revision: 523800
- Mageia 4 Mass Rebuild

* Sat May 25 2013 guillomovitch <guillomovitch> 4.4-1.mga4
+ Revision: 427123
- new version

* Fri Jan 11 2013 umeabot <umeabot> 4.3-3.mga3
+ Revision: 348307
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 12 2012 rtp <rtp> 4.3-2.mga3
+ Revision: 270328
- fix build

* Wed May 30 2012 guillomovitch <guillomovitch> 4.3-1.mga3
+ Revision: 250175
- new version

* Mon Oct 31 2011 guillomovitch <guillomovitch> 4.2.1-1.mga2
+ Revision: 160551
- new version
- imported package cryptmount

